Subject: bug#30807: Tramp tests take waaayyy too long and refuse to exit

From: Michael Albinus <[email-masked]>
Date: Thu, 15 Mar 2018 11:36:35 +0100

Paul Eggert <[email-masked]> writes:

Hi Paul,

> I manually killed the seemingly-runaway Emacs test process.

--8<---------------cut here---------------start------------->8---
"tramp-archive loaded: nil
nil
Are you sure you want to continue connecting (yes/no)? (yes or no) "
--8<---------------cut here---------------end--------------->8---

This is the *Messages* buffer of the "seemingly-runaway Emacs test
process" you've killed. Obviously, it is waiting for an answer to that
question.

OMG, I'm using "/ssh::" as test directory here. I shouldn't. Pushed a
fix to the master branch; could you check tramp-archive-tests.el again?

Best regards, Michael.